Last Comment Bug 653794 - improve management of plugin MIME types, MIME descriptions, and extensions
: improve management of plugin MIME types, MIME descriptions, and extensions
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Josh Aas
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-29 11:47 PDT by Josh Aas
Modified: 2011-05-10 13:20 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (20.05 KB, patch)
2011-04-29 11:47 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.1 (21.78 KB, patch)
2011-04-29 12:30 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.2 (22.39 KB, patch)
2011-04-29 12:39 PDT, Josh Aas
benjamin: review+
Details | Diff | Splinter Review
fix v1.3 (23.07 KB, patch)
2011-05-08 08:01 PDT, Josh Aas
no flags Details | Diff | Splinter Review

Description Josh Aas 2011-04-29 11:47:00 PDT
Created attachment 529157 [details] [diff] [review]
fix v1.0

We should improve management of plugin MIME types, MIME descriptions, and extensions. The array management is error prone.
Comment 1 Josh Aas 2011-04-29 12:30:01 PDT
Created attachment 529173 [details] [diff] [review]
fix v1.1
Comment 2 Josh Aas 2011-04-29 12:39:13 PDT
Created attachment 529177 [details] [diff] [review]
fix v1.2
Comment 3 Josh Aas 2011-04-29 12:40:08 PDT
Comment on attachment 529177 [details] [diff] [review]
fix v1.2

This makes our MIME mgmt code more efficient, consistent, and a lot easier to read/understand.
Comment 4 Josh Aas 2011-04-29 12:41:20 PDT
It also has some fixes for MIME information potentially getting out of sync (type vs. descriptions vs. extensions).
Comment 5 Josh Aas 2011-05-08 08:01:11 PDT
Created attachment 530924 [details] [diff] [review]
fix v1.3

Build fixes.
Comment 6 Josh Aas 2011-05-10 07:23:41 PDT
pushed to mozilla-central

http://hg.mozilla.org/mozilla-central/rev/6824e96ca32a
Comment 7 Jim Jeffery not reading bug-mail 1/2/11 2011-05-10 11:21:12 PDT
I don't have a hard regression range, but the latest m-c win32 hourly with this patch hangs on startup.  Disabling OOPP allows the browser to start. 

Possible this patch has broken plugin-container on windows ?
Comment 8 Josh Aas 2011-05-10 11:45:48 PDT
Anything is possible but tests pass and I ran it locally with no problems. Keep us updated with any new information. Maybe post some more details about your system in an attached text file, including installed browser plugins (about:plugins) and your OS version.
Comment 9 Jim Jeffery not reading bug-mail 1/2/11 2011-05-10 12:28:02 PDT
Well at the moment I'm at work, and won't get to find a true regress-range till sometime tomorrow.

system is Win7 x64 running on AMD Phenom II Quad 8 gig ram
plugins are all up to date with the latest Flash version.

Using the win32 m-c hourly build with your cset from here:
http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-win32/1305037440/

The hourly before this one, or perhaps two before this one is OK, so its either this patch or the patch-set that re-landed all the stuff backed out yesterday:
http://hg.mozilla.org/mozilla-central/rev/8d378453a8ac

I'm pretty sure that cset is OK, but as I said - I'm not at my machine right-now.
Comment 10 Wes Kocher (:KWierso) 2011-05-10 13:05:44 PDT
Neither the 32 bit zip build from http://hg.mozilla.org/mozilla-central/rev/6824e96ca32a nor the 32 bit zip build from the prior push http://hg.mozilla.org/mozilla-central/rev/83ca7e971857 is hanging on startup for me with a clean profile on Win7x64.
Comment 11 Jim Jeffery not reading bug-mail 1/2/11 2011-05-10 13:13:14 PDT
(In reply to comment #10)
> Neither the 32 bit zip build from
> http://hg.mozilla.org/mozilla-central/rev/6824e96ca32a nor the 32 bit zip
> build from the prior push
> http://hg.mozilla.org/mozilla-central/rev/83ca7e971857 is hanging on startup
> for me with a clean profile on Win7x64.

Even if you open a page with flash on it ?
Comment 12 Wes Kocher (:KWierso) 2011-05-10 13:20:18 PDT
(In reply to comment #11)
> Even if you open a page with flash on it ?

Watched a youtube video. Pretty sure it was Flash, lemme try again.

Note You need to log in before you can comment on or make changes to this bug.